import Textarea from 'primevue/textarea';
const __VLS_props = defineProps();
const __VLS_emit = defineEmits();
const __VLS_ctx = {
    ...{},
    ...{},
    ...{},
    ...{},
    ...{},
};
let __VLS_components;
let __VLS_intrinsics;
let __VLS_directives;
let __VLS_0;
/** @ts-ignore @type { | typeof __VLS_components.Textarea} */
Textarea;
// @ts-ignore
const __VLS_1 = __VLS_asFunctionalComponent1(__VLS_0, new __VLS_0({
    ...{ 'onUpdate:modelValue': {} },
    ...{ 'onBlur': {} },
    ...{ class: "ks-textarea" },
    id: (__VLS_ctx.inputId),
    modelValue: (__VLS_ctx.modelValue),
    disabled: (__VLS_ctx.disabled),
    invalid: (__VLS_ctx.invalid),
    rows: (__VLS_ctx.rows ?? 4),
    placeholder: (__VLS_ctx.placeholder),
}));
const __VLS_2 = __VLS_1({
    ...{ 'onUpdate:modelValue': {} },
    ...{ 'onBlur': {} },
    ...{ class: "ks-textarea" },
    id: (__VLS_ctx.inputId),
    modelValue: (__VLS_ctx.modelValue),
    disabled: (__VLS_ctx.disabled),
    invalid: (__VLS_ctx.invalid),
    rows: (__VLS_ctx.rows ?? 4),
    placeholder: (__VLS_ctx.placeholder),
}, ...__VLS_functionalComponentArgsRest(__VLS_1));
let __VLS_5;
const __VLS_6 = {
    /** @type {typeof __VLS_5.'update:modelValue'} */
    'onUpdate:modelValue': (...[$event]) => {
        return (__VLS_ctx.$emit('update:modelValue', String($event ?? '')));
        // @ts-ignore
        [inputId, modelValue, disabled, invalid, rows, placeholder, $emit,];
    },
};
const __VLS_7 = {
    /** @type {typeof __VLS_5.blur} */
    onBlur: (...[$event]) => {
        return (__VLS_ctx.$emit('blur', $event));
        // @ts-ignore
        [$emit,];
    },
};
var __VLS_8;
/** @type {__VLS_StyleScopedClasses['ks-textarea']} */ ;
var __VLS_3;
var __VLS_4;
// @ts-ignore
[];
const __VLS_export = (await import('vue')).defineComponent({
    __typeEmits: {},
    __typeProps: {},
});
export default {};
